library antenna;

import 'dart:async';

export 'package:antenna/manager.dart' show AntennaManager;
export 'package:antenna/consumer.dart' show StoreConsumer;
export 'package:antenna/store.dart' show createStore, connect;

final _channel = StreamController.broadcast();

@override
StreamSubscription listen(void Function(dynamic event) eventListener) {
  return _channel.stream.listen(eventListener);
}

@override
void dispatch(event) {
  return _channel.sink.add(event);
}
